## kmahjongg 18.04.3

=== debian/changelog ===
kmahjongg (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:18:42 +0100

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5kdegames-dev (>= 4:18.04.3~),
               libkf5kmahjongglib-dev (>= 4:18.04.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data-kf5 (>= 4:16.04),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 18.12.3

=== debian/changelog ===
kmahjongg (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:30:09 +0000

kmahjongg (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:17:22 +0000

kmahjongg (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:11:52 +0000

kmahjongg (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:50:11 +0000

kmahjongg (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Dec 2018 10:02:28 +0000

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5kdegames-dev (>= 4:18.12.3~),
               libkf5kmahjongglib-dev (>= 4:18.12.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5svg5-dev (>= 5.7.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data-kf5, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 19.04.3

=== debian/changelog ===
kmahjongg (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:15:46 +0100

kmahjongg (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:08:14 +0100

kmahjongg (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:59:31 +0100

kmahjongg (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:45:04 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5declarative-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:18.12.3~),
-               libkf5kmahjongglib-dev (>= 4:18.12.3~),
+               libkf5kdegames-dev (>= 4:19.04.3~),
+               libkf5kmahjongglib-dev (>= 4:19.04.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libqt5svg5-dev (>= 5.7.0~),

## kmahjongg 19.12.3

=== CMakeLists.txt ===
project(kmahjongg)

cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
set(QT_MIN_VERSION "5.9.0")
set(KF5_MIN_VERSION "5.46.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

if(ENABLE_CLAZY)
    set(CMAKE_CXX_COMPILER clazy)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    Crash
    DBusAddons
    Declarative
    DocTools
    NewStuff
    XmlGui
)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(KDEInstallDirs)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)


find_package(KF5KMahjongglib REQUIRED)
find_package(KF5KDEGames 4.9.0 REQUIRED)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()
add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(layouts)
add_subdirectory(doc)

########### next target ###############


########### install files ###############

install(PROGRAMS org.kde.kmahjongg.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kmahjongg.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES kmahjongg.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES kmahjongg.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()


########### Display Summary ###############
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/CMakeLists.txt ===
set(kmahjongg_SRCS
   main.cpp
   kmahjongg_debug.cpp
   kmahjongg.cpp
   boardlayout.cpp
   gamedata.cpp
   kmahjongglayoutselector.cpp
   kmahjongglayout.cpp
   editor.cpp
   frameimage.cpp
   gameitem.cpp
   gamebackground.cpp
   gameremovedtiles.cpp
   gameview.cpp
   gamescene.cpp
   selectionanimation.cpp
   demoanimation.cpp
   movelistanimation.cpp
)

ki18n_wrap_ui(kmahjongg_SRCS settings.ui gametype.ui)

ecm_qt_declare_logging_category(kmahjongg_SRCS HEADER kmahjongg_debug.h IDENTIFIER KMAHJONGG_LOG CATEGORY_NAME log_kmahjongg)

kconfig_add_kcfg_files(kmahjongg_SRCS prefs.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-kmahjongg.png")
ecm_add_app_icon(kmahjongg_SRCS ICONS ${ICONS_SRCS})
add_executable(kmahjongg ${kmahjongg_SRCS})

target_link_libraries(kmahjongg
    Qt5::Gui
    KF5::CoreAddons
    KF5::XmlGui
    KF5::DBusAddons
    KF5::Crash
    KF5KDEGames
    KF5KDEGamesPrivate
    KF5KMahjongglib
)

install(TARGETS kmahjongg  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES kmahjongg.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR})
install(FILES kmahjonggui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kmahjongg)

=== debian/changelog ===
kmahjongg (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:11:24 +0000

kmahjongg (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:21:36 +0000

kmahjongg (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:55:44 +0000

kmahjongg (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:49:23 +0000

kmahjongg (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:34:04 +0000

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5declarative-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:19.04.3~),
-               libkf5kmahjongglib-dev (>= 4:19.04.3~),
+               libkf5kdegames-dev (>= 4:19.12.3~),
+               libkf5kmahjongglib-dev (>= 4:19.12.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libqt5svg5-dev (>= 5.7.0~),

## kmahjongg 20.08.1

=== debian/changelog ===
kmahjongg (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:55:27 +0100

kmahjongg (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:48:28 +0100

kmahjongg (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - switches from qrand() to QRandomGenerator (Closes: #762450)
  * Update watch file to the new release-service location.
  * Drop the Debian man page, as it is outdated, and it offers no useful
    information.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump Qt packages to 5.9.0
    - bump KF packages to 5.46.0
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Switch cmake parameter BIN_INSTALL_DIR to KDE_INSTALL_BINDIR, as the former
    is deprecated.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 09:53:24 +0200

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.46.0~),
               gettext,
               libkf5config-dev (>= 5.46.0~),
               libkf5coreaddons-dev (>= 5.46.0~),
               libkf5crash-dev (>= 5.46.0~),
               libkf5dbusaddons-dev (>= 5.46.0~),
               libkf5declarative-dev (>= 5.46.0~),
               libkf5doctools-dev (>= 5.46.0~),
               libkf5kdegames-dev (>= 4:20.08.1~),
               libkf5kmahjongglib-dev (>= 4:20.08.1~),
               libkf5newstuff-dev (>= 5.46.0~),
               libkf5xmlgui-dev (>= 5.46.0~),
               libqt5svg5-dev (>= 5.7.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmahjongg
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmahjongg.git

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data-kf5, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 20.12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KMAHJONGG_BASE_VERSION once new features are added
set(KMAHJONGG_BASE_VERSION "0.9")
set(KMAHJONGG_VERSION "${KMAHJONGG_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(kmahjongg VERSION ${KMAHJONGG_VERSION})

set(QT_MIN_VERSION "5.10.0")
set(KF5_MIN_VERSION "5.55.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

if(ENABLE_CLAZY)
    set(CMAKE_CXX_COMPILER clazy)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    Crash
    DBusAddons
    Declarative
    DocTools
    NewStuff
    XmlGui
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

find_package(KF5KMahjongglib REQUIRED)
find_package(KF5KDEGames 4.9.0 REQUIRED)

add_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_KEYWORDS
    -DQT_STRICT_ITERATORS
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050A00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x053700
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)
if (${KF5Config_VERSION} STRGREATER "5.56.0")
    add_definitions(-DQT_NO_FOREACH)
endif()

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(layouts)
add_subdirectory(doc)

########### next target ###############


########### install files ###############

install(PROGRAMS org.kde.kmahjongg.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kmahjongg.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES kmahjongg.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES kmahjongg.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

ki18n_install(po)
kdoctools_install(po)

########### Display Summary ###############
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,11 @@
    selectionanimation.cpp
    demoanimation.cpp
    movelistanimation.cpp
+)
+
+ecm_setup_version(${KMAHJONGG_VERSION}
+    VARIABLE_PREFIX KMAHJONGG
+    VERSION_HEADER kmahjongg_version.h
 )
 
 ki18n_wrap_ui(kmahjongg_SRCS settings.ui gametype.ui)

=== debian/changelog ===
kmahjongg (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.10.0
    - bump KF packages to 5.55.0
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jan 2021 09:15:17 +0100

=== debian/control ===
--- 
+++ 
@@ -10,23 +10,23 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.46.0~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.55.0~),
                gettext,
-               libkf5config-dev (>= 5.46.0~),
-               libkf5coreaddons-dev (>= 5.46.0~),
-               libkf5crash-dev (>= 5.46.0~),
-               libkf5dbusaddons-dev (>= 5.46.0~),
-               libkf5declarative-dev (>= 5.46.0~),
-               libkf5doctools-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4:20.08.1~),
-               libkf5kmahjongglib-dev (>= 4:20.08.1~),
-               libkf5newstuff-dev (>= 5.46.0~),
-               libkf5xmlgui-dev (>= 5.46.0~),
-               libqt5svg5-dev (>= 5.7.0~),
+               libkf5config-dev (>= 5.55.0~),
+               libkf5coreaddons-dev (>= 5.55.0~),
+               libkf5crash-dev (>= 5.55.0~),
+               libkf5dbusaddons-dev (>= 5.55.0~),
+               libkf5declarative-dev (>= 5.55.0~),
+               libkf5doctools-dev (>= 5.55.0~),
+               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kmahjongglib-dev,
+               libkf5newstuff-dev (>= 5.55.0~),
+               libkf5xmlgui-dev (>= 5.55.0~),
+               libqt5svg5-dev (>= 5.10.0~),
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.10.0~),
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmahjongg

## kmahjongg 20.12.3

=== debian/changelog ===
kmahjongg (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:22:09 +0000

kmahjongg (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:55:56 +0000

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                libkf5dbusaddons-dev (>= 5.55.0~),
                libkf5declarative-dev (>= 5.55.0~),
                libkf5doctools-dev (>= 5.55.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
-               libkf5kmahjongglib-dev,
+               libkf5kdegames-dev (>= 4:20.12.3~),
+               libkf5kmahjongglib-dev (>= 4:20.12.3~),
                libkf5newstuff-dev (>= 5.55.0~),
                libkf5xmlgui-dev (>= 5.55.0~),
                libqt5svg5-dev (>= 5.10.0~),

## kmahjongg 21.08.1

=== debian/changelog ===
kmahjongg (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:35:14 +0100

kmahjongg (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:04:08 +0100

kmahjongg (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:57:45 +0100

kmahjongg (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:35:13 +0100

kmahjongg (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:45:15 +0100

kmahjongg (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:41:56 +0100

kmahjongg (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 08:49:07 +0900

kmahjongg (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Fix up libkf5kdegames-dev version.
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:30:40 +0900

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libkf5config-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5crash-dev (>= 5.68.0~),
               libkf5dbusaddons-dev (>= 5.68.0~),
               libkf5declarative-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5kdegames-dev (>= 4:21.08.1~),
               libkf5kmahjongglib-dev (>= 4:21.08.1~),
               libkf5newstuff-dev (>= 5.68.0~),
               libkf5xmlgui-dev (>= 5.68.0~),
               libqt5svg5-dev (>= 5.12.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmahjongg
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmahjongg.git

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data-kf5, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 21.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KMAHJONGG_BASE_VERSION once new features are added
set(KMAHJONGG_BASE_VERSION "0.9")
set(KMAHJONGG_VERSION "${KMAHJONGG_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(kmahjongg VERSION ${KMAHJONGG_VERSION})

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.83.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

if(ENABLE_CLAZY)
    set(CMAKE_CXX_COMPILER clazy)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    Crash
    DBusAddons
    Declarative
    DocTools
    NewStuff
    XmlGui
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

find_package(KF5KMahjongglib 5.1.0 REQUIRED)
find_package(KF5KDEGames 7.3.0 REQUIRED)

add_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_FOREACH
    -DQT_NO_KEYWORDS
    -DQT_STRICT_ITERATORS
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055200
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(layouts)
add_subdirectory(doc)

########### install files ###############

install(PROGRAMS org.kde.kmahjongg.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kmahjongg.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)
kdoctools_install(po)

########### Display Summary ###############
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kmahjongg 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -13,7 +13,7 @@
 project(kmahjongg VERSION ${KMAHJONGG_VERSION})
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.83.0")
+set(KF5_MIN_VERSION "5.85.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -22,6 +22,16 @@
 endif()
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+
+include(ECMAddAppIcon)
+include(ECMInstallIcons)
+include(ECMQtDeclareLoggingCategory)
+include(ECMSetupVersion)
+include(FeatureSummary)
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Svg)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
@@ -35,32 +45,13 @@
     XmlGui
 )
 
-include(KDEInstallDirs)
-include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
-
-include(FeatureSummary)
-include(ECMAddAppIcon)
-include(ECMInstallIcons)
-include(ECMQtDeclareLoggingCategory)
-include(ECMSetupVersion)
-
 find_package(KF5KMahjongglib 5.1.0 REQUIRED)
 find_package(KF5KDEGames 7.3.0 REQUIRED)
 
 add_definitions(
-    -DQT_NO_CAST_FROM_ASCII
-    -DQT_NO_CAST_TO_ASCII
-    -DQT_NO_CAST_FROM_BYTEARRAY
-    -DQT_NO_URL_CAST_FROM_STRING
-    -DQT_USE_QSTRINGBUILDER
-    -DQT_NO_FOREACH
-    -DQT_NO_KEYWORDS
-    -DQT_STRICT_ITERATORS
-    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
     -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
     -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055200
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055600
     -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
 )

=== src/CMakeLists.txt ===
ecm_setup_version(${KMAHJONGG_VERSION}
    VARIABLE_PREFIX KMAHJONGG
    VERSION_HEADER kmahjongg_version.h
)

add_executable(kmahjongg)

target_sources(kmahjongg PRIVATE
    main.cpp
    kmahjongg_debug.cpp
    kmahjongg.cpp
    boardlayout.cpp
    gamedata.cpp
    kmahjongglayoutselector.cpp
    kmahjongglayout.cpp
    editor.cpp
    frameimage.cpp
    gameitem.cpp
    gamebackground.cpp
    gameremovedtiles.cpp
    gameview.cpp
    gamescene.cpp
    selectionanimation.cpp
    demoanimation.cpp
    movelistanimation.cpp

    kmahjongg.qrc
)

ki18n_wrap_ui(kmahjongg
    settings.ui
    gametype.ui
)

ecm_qt_declare_logging_category(kmahjongg
    HEADER kmahjongg_debug.h
    IDENTIFIER KMAHJONGG_LOG
    CATEGORY_NAME log_kmahjongg
    DESCRIPTION "KMahjongg game"
    EXPORT KMAHJONGG
)

kconfig_add_kcfg_files(kmahjongg prefs.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-kmahjongg.png")
ecm_add_app_icon(kmahjongg ICONS ${ICONS_SRCS})

target_link_libraries(kmahjongg
    KF5KDEGames
    KF5KDEGamesPrivate
    KF5KMahjongglib
    KF5::CoreAddons
    KF5::XmlGui
    KF5::DBusAddons
    KF5::Crash
    Qt::Gui
)

install(TARGETS kmahjongg  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES kmahjongg.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR})

ecm_qt_install_logging_categories(
    EXPORT KMAHJONGG
    FILE kmahjongg.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
kmahjongg (4:21.12.3-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable: Remaining changes:
    - Kubuntu Vcs and maintainer.
    - Update upstream signing key.
    - Build depend on latest libkdegames 21.21.3.

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Mar 2022 12:28:47 +0000

kmahjongg (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use secure URI in Homepage field.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.85.0
  * CI: enable blhc, as it should work fine now.
  * Small copyright update.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Mar 2022 12:15:14 +0100

kmahjongg (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:12:30 +0000

kmahjongg (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:19:05 +0000

kmahjongg (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:26:58 +0000

kmahjongg (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:24:05 +0000

kmahjongg (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:08:54 +0000

kmahjongg (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:19:19 +0000

kmahjongg (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:27:31 +0000

kmahjongg (4:21.08.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Fri, 05 Nov 2021 09:50:00 +0900

kmahjongg (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:17:26 +0900

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.85.0~),
               gettext,
               libkf5config-dev (>= 5.85.0~),
               libkf5coreaddons-dev (>= 5.85.0~),
               libkf5crash-dev (>= 5.85.0~),
               libkf5dbusaddons-dev (>= 5.85.0~),
               libkf5declarative-dev (>= 5.85.0~),
               libkf5doctools-dev (>= 5.85.0~),
               libkf5kdegames-dev (>= 4:21.12.3~),
               libkf5kmahjongglib-dev (>= 4:21.04.0~),
               libkf5newstuff-dev (>= 5.85.0~),
               libkf5xmlgui-dev (>= 5.85.0~),
               libqt5svg5-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data-kf5, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 22.08.1

=== debian/changelog ===
kmahjongg (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:42:01 +0100

kmahjongg (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:51:40 +0100

kmahjongg (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:29:16 +0100

kmahjongg (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:03:29 +0100

kmahjongg (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:02:15 +0100

kmahjongg (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:49:51 +0100

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
                libkf5dbusaddons-dev (>= 5.85.0~),
                libkf5declarative-dev (>= 5.85.0~),
                libkf5doctools-dev (>= 5.85.0~),
-               libkf5kdegames-dev (>= 4:21.12.3~),
-               libkf5kmahjongglib-dev (>= 4:21.04.0~),
+               libkf5kdegames-dev (>= 4:22.08.1~),
+               libkf5kmahjongglib-dev (>= 4:22.08.1~),
                libkf5newstuff-dev (>= 5.85.0~),
                libkf5xmlgui-dev (>= 5.85.0~),
                libqt5svg5-dev (>= 5.15.0~),

## kmahjongg 22.12.0

=== debian/changelog ===
kmahjongg (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:35 +0100

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5completion-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5declarative-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5kdegames-dev (>= 4:21.04.0~),
               libkf5kmahjongglib-dev (>= 4:21.04.0~),
               libkf5newstuff-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmahjongg
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmahjongg.git

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data-kf5, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
@@ -12,8 +12,8 @@
 
 project(kmahjongg VERSION ${KMAHJONGG_VERSION})
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.85.0")
+set(QT_MIN_VERSION "5.15.2")
+set(KF5_MIN_VERSION "5.90.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -33,13 +33,13 @@
 include(ECMSetupVersion)
 include(FeatureSummary)
 
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Svg)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Svg)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+    Completion
     Config
     CoreAddons
     Crash
     DBusAddons
-    Declarative
     DocTools
     NewStuff
     XmlGui

=== debian/changelog ===
kmahjongg (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:18 +0100

kmahjongg (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:04:52 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libqt5svg5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmahjongg
@@ -33,8 +33,8 @@
 
 Package: kmahjongg
 Architecture: any
-Depends: kdegames-mahjongg-data-kf5, ${misc:Depends}, ${shlibs:Depends}
-Recommends: khelpcenter
+Depends: kdegames-mahjongg-data-kf5, ${misc:Depends}, ${shlibs:Depends},
+Recommends: khelpcenter,
 Description: mahjongg solitaire game
  KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
  to clear the board.  A variety of tile layouts are included, as well as an

## kmahjongg 23.08.0

=== debian/changelog ===
kmahjongg (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:56:01 +0100

kmahjongg (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:35:44 +0100

kmahjongg (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:49:28 +0100

kmahjongg (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:58:21 +0100

kmahjongg (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:39:53 +0000

kmahjongg (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:19:37 -0600

kmahjongg (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:16:22 +0000

kmahjongg (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - libkdegames build dep to 22.12.0

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Dec 2022 08:33:08 +0000

kmahjongg (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:11:15 +0000

kmahjongg (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:07:34 +0000

kmahjongg (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:51:51 +0000

kmahjongg (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:10:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kmahjongg
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -18,23 +19,23 @@
                libkf5dbusaddons-dev (>= 5.90.0~),
                libkf5declarative-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:21.04.0~),
-               libkf5kmahjongglib-dev (>= 4:21.04.0~),
+               libkf5kdegames-dev (>= 4:23.08.0~),
+               libkf5kmahjongglib-dev (>= 4:23.08.0~),
                libkf5newstuff-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                libqt5svg5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmahjongg
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmahjongg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
 
 Package: kmahjongg
 Architecture: any
-Depends: kdegames-mahjongg-data-kf5, ${misc:Depends}, ${shlibs:Depends},
-Recommends: khelpcenter,
+Depends: kdegames-mahjongg-data-kf5, ${misc:Depends}, ${shlibs:Depends}
+Recommends: khelpcenter
 Description: mahjongg solitaire game
  KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
  to clear the board.  A variety of tile layouts are included, as well as an
